if not args then return nil end
local target, mode, nick = args:match("(.+)%s(.+)%s(.+)")

if target and mode and nick and target:sub(1, 1) == "#" then
	local find = nick:find(" ")
	nick = string.sub(nick, 1, find and find-1 or nick:len())

	local channel_info = irc_server.channels[target]
	if channel_info:mode_exists(mode) then
		local mode_client = irc_nick_id[nick]
		if not mode_client then
			if string.sub(nick, 1, 2) == "*!" then
				nick = string.sub(nick, 3)
			end

			local user, host_name = nick:match("(.+)@(.+)")
			mode_client = irc_server.find_host_id(user, host_name)
			if not mode_client then return nil end
		end

		local channel_user = channel_info.user_list[id]
		if not channel_user then return nil end

		if not channel_info:op(id) then
			return irc_server.send_message(id, target.." :You're not channel operator", 482)
		end

		if not channel_info:owner(id) then
			return irc_server.send_message(id, target.." :You're not channel owner", 482)
		end

		local mode_user = channel_info.user_list[mode_client]
		if mode_user then
			mode_user.mode = mode
			irc_server.send_user_message(id, target, "MODE "..target.." "..mode.." "..irc_client[mode_client].nick)
		end
	end
elseif target then
	if string.sub(target, 1, 1) == "#" then
		local channel_info = irc_server.channels[target]
		if channel_info and channel_info.user_list[id] then
			irc_server.send_message(id, channel_info.user_list[id].mode, 221)
		end
	end
end
