if not args then return nil end

local command = arg[1]
local text = arg[2]

local target, message = args:match("^([^ ]+) +(.*)$")
for channel_name in args:gfind('(#%w+),-') do
	if command and command == "QUIT" then
		irc_server.send_user_message(id, channel_name, "QUIT "..text, false)
	elseif command then
		irc_server.send_user_message(id, channel_name, command.." "..channel_name.." "..message)
	end

	local channel_info = irc_server.channels[channel_name]
	if channel_info then
		channel_info:remove(id)
	end
end
