if not args then return nil end

local target, message = args:match("^([^ ]+) +:(.*)$")
if not target then return nil end
if not message then return nil end

if message:len() > 0 then
	if string.sub(target, 1, 1) == "#" then
		local channel_info = irc_server.channels[target]
		if channel_info then
			local r, m = channel_info:user_say(id, message)
			if not r then
				if m then
					return channel_info:messageto(id, m)
				end
				return
			end
		end
	end
	irc_server.send_user_message(id, target, "PRIVMSG "..target.." :"..message, true)
end
