for channel_name, channel in pairs(irc_server.channels) do
	if channel.user_list[id] then
		irc_server.client_cmd(id, "PART", channel_name, "QUIT", args)
	end
end

local nick = irc_client[id].nick
if string.len(nick) > 0 then
	irc_nick_id[nick] = nil
	irc_server.debug(nick.." has disconnected from server")
else
	irc_server.debug(irc_client[id]:ip()..":"..irc_client[id]:port().." has disconnected from server")
end

local addr = irc_client[id]:addr()
irc_addr_id[addr] = nil

irc_client[id]:close()
irc_client[id] = nil
