if not args then return nil end

local target, topic = args:match("^([^ ]+) +:%s*(.*)%s*$")
if not target then return nil end

local channel_info = irc_server.channels[target]
if channel_info then
	channel_info.topic = topic or ""
	if string.len(channel_info.topic) == 0 then
		irc_server.send_message(id, channel_info.name.." :No topic is set", 331)
	else
		irc_server.send_message(id, channel_info.name.." :"..channel_info.topic, 332)
	end
end
