if not args then return nil end
for channel_name in args:gfind('([^ ,]+),*') do
	if string.sub(channel_name, 1, 1) == ":" then
		channel_name = string.sub(channel_name, 2)
	end

	local channel_info = irc_server.channels[channel_name]
	if not channel_info then
		channel_info = new_channel(channel_name)
		irc_server.channels[channel_name] = channel_info
	end

	local channel_user = channel_info.user_list[id]
	if not channel_user then
		if channel_info:joinattempt(id) then
			irc_client[id].channels[channel_name] = channel_info

			channel_info:add(id, channel_info.num_users > 0 and "" or "@")
			irc_server.send_user_message(id, channel_name, "JOIN "..channel_name)

			irc_server.client_cmd(id, "TOPIC", channel_name..": "..channel_info.topic)
			irc_server.client_cmd(id, "NAMES", channel_name)
		end
	end
end
