if not args then return nil end
local channel_name, nick_name, reason = string.match(args, "(.+) (.+) :(.+)")
if not reason then
	channel_name, nick_name = string.match(args, "(.+) (.+)")
end

if not channel_name then return nil end
if not nick_name then return nil end

local channel_info = irc_server.channels[channel_name]

if channel_info then
	if channel_info:op(id) then
		local client_id = irc_nick_id[nick_name]
		if reason then
			irc_server.send_user_message(client_id, channel_name, "QUIT :Kicked for "..reason)
		else
			irc_server.send_user_message(client_id, channel_name, "QUIT :Kicked")
		end
		irc_server.debug("Kicked "..nick_name.." from "..channel_name)
	else
		irc_server.send_message(id, channel_name.." :You're not channel operator", 482)
	end
end
