if not args then return nil end
if string.sub(args, 1, 1) == ":" then
	args = string.sub(args, 2)
end

local channel_info = irc_server.channels[args]
if channel_info then
	local users = ""
	for id, user in pairs(channel_info.user_list) do
		if irc_client[id] then
			if channel_info:op(id) then
				users = users .. "@" .. irc_client[id].nick .. " "
			else
				users = users .. user.mode .. irc_client[id].nick .. " "
			end
		end
	end

	irc_server.send_message(id, "= "..channel_info.name.." :"..users, 353)
end
irc_server.send_message(id, args.." :End of /NAMES list.", 366)
