if string.sub(args, 1, 1) == ":" then
	args = string.sub(args, 2)
end

if args:len() > 0 then
	if not irc_nick_id[args] then
		for channel_name, channel in pairs(irc_client[id].channels) do
			if channel.user_list[id] then
				irc_server.send_user_message(id, channel_name, "NICK "..args, true)
			end
		end
		irc_server.send_user_message(id, id, "NICK "..args)
		irc_server.set_nick(id, args)
	elseif irc_client[id].nick:len() == 0 then
		local new_nick = irc_server.generate_nick()
		for channel_name, channel in pairs(irc_client[id].channels) do
			if channel.user_list[id] then
				irc_server.send_user_message(id, channel_name, "NICK "..new_nick, true)
			end
		end
		irc_server.send_user_message(id, id, "NICK "..new_nick)
		irc_server.set_nick(id, new_nick)
	else
		irc_server.send_message(id, "This nick is already in use")
	end
end
