if not args then return nil end
local target_id = irc_nick_id[args]
if not target_id then return nil end

local target_info = irc_client[target_id]
if target_info then
	irc_server.send_message(id, args.." ~"..target_info.user.." "..target_info.host.." * :"..target_info.real_name, 311)
	local chans = ""
	for channel_name, channel_info in pairs(irc_server.channels) do
		chans = chans .. channel_name .. " "
	end

	if string.len(chans) > 0 then
		irc_server.send_message(id, args.." :"..chans, 319)
	end

	irc_server.send_message(id, args.." "..irc_server.hostname.." :"..irc_server.hostname, 312)
end
irc_server.send_message(id, args.." :End of /WHOIS list.", 318)
