Import MaxGUI.Drivers

Global ls:Byte Ptr = luaL_newstate()
luaL_openlibs(ls)
luaopen_socket_core(ls)

lua_register(ls, "print", lua_print)
If luaL_dofile(ls, "server.lua") Then
	lua_err(ls)
EndIf

Function update_app()
	If luaL_dostring(ls, "irc_server.update()") Then
		lua_err(ls)
	EndIf
EndFunction

Function lua_err(L:Byte Ptr)
	Local err$ = lua_tostring(L, -1)
	If Len(err) > 0 Then
		Print "Lua Error: "+err
	EndIf
EndFunction

Function lua_print(L:Byte Ptr)
	Local text$ = lua_tostring(L, 1)
	Print text
EndFunction

Repeat
	update_app()
Forever